;;; 03-custom-binds --- A set of custom key bindings

;;; Commentary:

;;; Code:

(defvar my-term-shell "/bin/bash" "My preferred choice of shell.")
(defadvice ansi-term (before force-bash)
  "Open an interactive ansi-terminal that defaults to bash."
  (interactive (list my-term-shell)))
(ad-activate 'ansi-term)

(bind-key "<M-return>"   'eshell)
(bind-key "<M-S-return>" 'ansi-term)
(bind-key "C-c r"        '(lambda () (interactive) (load-file user-init-file)))

(provide '03-custom-binds)
;;; 03-custom-binds.el ends here
